## lw-per-installer 4.3.7.1

=== debian/changelog ===
lw-per-installer (4.3.7.1) unstable; urgency=low

  * Add support for amd64

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue, 22 Jun 2004 13:35:05 -0600

lw-per-installer (4.3.7.0) unstable; urgency=low

  * New upstream version

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu, 27 May 2004 21:36:21 -0600

lw-per-installer (4.3.0.0) unstable; urgency=low

  * Support new version of lispworks

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed,  8 Oct 2003 08:34:41 -0600

lw-per-installer (4.2.0.28) unstable; urgency=low

  * Fix typo in templates

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu, 10 Jul 2003 17:23:48 -0600

lw-per-installer (4.2.0.27) unstable; urgency=low

  * Add missing README file
  * Upgrade standards-version to 3.5.9.0
  * Move preinst logic to config and postinst
  * Change debconf from Pre-Depends to Depends
  
 -- Kevin M. Rosenberg <kmr@debian.org>  Wed,  2 Apr 2003 21:22:59 -0700

lw-per-installer (4.2.0.26) unstable; urgency=low

  * Fix README file

 -- Kevin M. Rosenberg <kmr@debian.org>  Fri,  7 Mar 2003 23:18:12 -0700

lw-per-installer (4.2.0.25) unstable; urgency=low

  * Rework README file

 -- Kevin M. Rosenberg <kmr@debian.org>  Fri,  7 Mar 2003 23:15:23 -0700

lw-per-installer (4.2.0.24) unstable; urgency=low

  * Remove obsolete install-defsysem and remove-defsystem targets
  * Boost require CLC version to 3.56 to handle to above change
  * Separate source package for simplicity

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu,  6 Mar 2003 07:11:24 -0700

lw-installer (4.2.0.23) unstable; urgency=low

  * Allow iputils-ping's ping to be used 

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed, 18 Dec 2002 08:11:20 -0700

lw-installer (4.2.0.22) unstable; urgency=high

  * Fix error in lispworks.sh with make-user-image
  * Add error reporting in lispworks.sh

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed,  9 Oct 2002 05:13:11 -0600

lw-installer (4.2.0.21) unstable; urgency=high

  * Add version for Common-Lisp-Controller Depends

 -- Kevin M. Rosenberg <kmr@debian.org>  Sat,  5 Oct 2002 09:12:28 -0600

lw-installer (4.2.0.20) unstable; urgency=low

  * Remove the to_import function and switch to feeding programs to compiler
  via stdin.

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed, 25 Sep 2002 16:58:03 -0600

lw-installer (4.2.0.19) unstable; urgency=low

  * Use new autobuild-cl-impl command

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 23 Sep 2002 06:34:17 -0600

lw-installer (4.2.0.18) unstable; urgency=low

  * Remove bashisms from maintainer scripts

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun, 22 Sep 2002 19:34:28 -0600

lw-installer (4.2.0.17) unstable; urgency=low

  * Remove unecessary emacs hook
  * Set shell for scripts to /bin/bash

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun, 22 Sep 2002 17:41:36 -0600

lw-installer (4.2.0.16) unstable; urgency=low

  * Rename install-defsystem.lisp to install-clc.lisp
  * lispworks.sh: Allow install-clc command as synonym to install-defsystem
  * lispworks.sh: Allow remove-clc command as synonym to remove-defsystem
  * install-clc.sh: change check from defsystem.lisp to common-lisp-controller.lisp

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu, 19 Sep 2002 21:49:44 -0600

lw-installer (4.2.0.15) unstable; urgency=low

  * Send results of making-images to /dev/null

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu, 19 Sep 2002 15:33:57 -0600

lw-installer (4.2.0.14) unstable; urgency=low

  * Add network status check before attempting to download patches

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu, 19 Sep 2002 15:33:42 -0600

lw-installer (4.2.0.13) unstable; urgency=low

  * make-images.sh: Change remove-defsystem so that it produces a fresh
  image based on the original distributed image.

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu,  5 Sep 2002 23:58:41 -0600

lw-installer (4.2.0.12) unstable; urgency=low

  * make-images.sh: Change so that install-defsystem always builds new images from
  the original distributed image.

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu,  5 Sep 2002 23:27:57 -0600

lw-installer (4.2.0.11) unstable; urgency=low

  * Fix typo in templates file.

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed, 28 Aug 2002 11:21:25 -0600

lw-installer (4.2.0.10) unstable; urgency=low

  * Change numbering scheme since this a a native Debian package.

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu, 22 Aug 2002 10:10:40 -0600

lw-installer (4.2.0-9) unstable; urgency=low

  * Fix error with lw-gui vs. lw-console in make-images.sh
  * Formatting improvement for preinst script
  * Add debug output for lw-pro-installer preinst script
  
 -- Kevin M. Rosenberg <kevin@rosenberg.net>  Wed, 14 Aug 2002 14:47:49 -0600

lw-installer (4.2.0-8) unstable; urgency=low

  * Add Recommends: ilisp for lw-pro-installer
  * Improve make-image.lisp
  * Update e-mail address

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun, 11 Aug 2002 22:44:30 -0600

lw-installer (4.2.0-7) unstable; urgency=low

  * Depend on hyperspec package and delete redundant hyperspec manual from
  lw-per-installer and lw-pro-installer (closes: 155604)
  * Fix typo for symlink in lw-per-installer postinst
  * Improve lw-per-installer debconf interaction
  
 -- Kevin M. Rosenberg <kmr@debian.org>  Fri,  9 Aug 2002 16:48:38 -0600

lw-installer (4.2.0-6) unstable; urgency=low

  * Set ILISP lispworks variables for lw-pro-installer
  * Allow user to choose whether to download and install patches for
    lw-pro-installer
  * Ask user whether to autobuild for Common Lisp Controller for lw-pro-installer

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed,  7 Aug 2002 18:01:06 -0600

lw-installer (4.2.0-5) unstable; urgency=low

  * Use new CLC compile-library function. Depend on CLC (>= 3.13)
  * If error rebuilding library in lispworks.sh, then set exit status
  for CLC.
  * Check and signal errors for make-image.sh
  
 -- Kevin M. Rosenberg <kmr@debian.org>  Wed,  7 Aug 2002 07:54:05 -0600

lw-installer (4.2.0-4) unstable; urgency=low


