=== debian/control ===
Source: lw-per-installer
Section: contrib/devel
Priority: optional
Maintainer: Kevin M. Rosenberg <kmr@debian.org>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.1.0

Package: lw-per-installer
Architecture: i386 amd64
Depends: debconf (>= 1.0), lesstif1 | libmotif, hyperspec ${EXTRADEPENDS}
Provides: lisp-compiler
Description: Installer for Lispworks ANSI Common Lisp System, Personal Edition
 This package installs the Personal edition of Xanalys' Lispworks ANSI
 Common Lisp. Lispworks contains a Lisp integrated develpment
 environment and a Lisp compiler.
 .
 This package does not contain the Lispworks program. The program and
 documentation are downloaded 
 from Xanalys' FTP site into the directory /root/tmp and are then
 automatically installed. The Personal editial edition does not
 cost any money, but has limitations in heap size and running time.
